<?php
add_theme_support( 'post-thumbnails' );
add_theme_support( 'automatic-feed-links' );
add_filter('widget_text', 'do_shortcode');

add_editor_style();


function tlp1_scripts() {
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/font-awesome/css/font-awesome.css' );
	wp_enqueue_script( 'scripts', get_template_directory_uri() . '/scripts.js', array());
}

add_action( 'wp_enqueue_scripts', 'tlp1_scripts' );




add_filter( 'the_title', 'title_slug' );
function title_slug( $title ) {
if ( $title == '' ) {
return 'Untitled';
} else {
return $title;
}
}

function social_links() {
$tlp1_fb=get_option('tlp1_fb');
$tlp1_tw=get_option('tlp1_tw');
$tlp1_li=get_option('tlp1_li');
$tlp1_gp=get_option('tlp1_gp');
if($tlp1_fb) echo '<a href="'.$tlp1_fb.'" target="_blank" class="footer-social"><i class="fa fa-facebook"></i></a>';
if($tlp1_tw) echo '<a href="'.$tlp1_tw.'" target="_blank" class="footer-social"><i class="fa fa-twitter"></i></a>';
if($tlp1_li) echo '<a href="'.$tlp1_li.'" target="_blank" class="footer-social"><i class="fa fa-linkedin"></i></a>';
if($tlp1_gp) echo '<a href="'.$tlp1_gp.'" target="_blank" class="footer-social"><i class="fa fa-google-plus"></i></a>';
}
add_shortcode( 'social-links', 'social_links' );


if ( ! isset( $content_width ) ) $content_width = 1000;

$args = array(
	'id'            => 'footer-widgets',
	'name'          => __( 'Footer Social Widgets', 'text_domain' ),
	'description'   => __( 'add [social-links]', 'text_domain' ),
);
register_sidebar( $args );

function setup_tlp1_admin_menus() {  
add_theme_page('The Landing Page Theme Options', 'Theme Options', 'manage_options', 'manage_options', 'manage_options');  
}  
function manage_options() {  
?>
<style>
.tlp1_options{
padding-left:10px;
}
.tlp1_options label{
width:100px;
display:inline-block;
}
.tlp1_options input[type=text], .tlp1_options select{
width:500px;
}
.tlp1_options input[type=submit]{
width:628px;
}
.tlp1_options fieldset{
border: 1px solid #eeeeee;
padding: 10px;
width: 605px;
margin-top:10px;
}
.tlp1_options legend{
font-size:18px;
margin-left:-10px;
}
#message{
width:608px;
padding:5px 10px;
}

</style>

<div class="wrap">  
<?php screen_icon('themes'); ?> <h2>Theme Settings</h2>
<?php
if (isset($_POST["update_settings"])) {  
echo '<div id="message" class="updated">Settings saved</div>  ';
}
if (isset($_POST["update_settings"])) {  
$tlp1_fb = esc_attr($_POST["tlp1_fb"]);     
$tlp1_tw = esc_attr($_POST["tlp1_tw"]);     
$tlp1_li = esc_attr($_POST["tlp1_li"]);     
$tlp1_gp = esc_attr($_POST["tlp1_gp"]);     
$tlp1_copy = esc_attr($_POST["tlp1_copy"]);     
$tlp1_headline = esc_attr($_POST["tlp1_headline"]);     

update_option("tlp1_fb", $tlp1_fb);  
update_option("tlp1_tw", $tlp1_tw);  
update_option("tlp1_li", $tlp1_li);  
update_option("tlp1_gp", $tlp1_gp);  
update_option("tlp1_copy", $tlp1_copy);  
update_option("tlp1_headline", $tlp1_headline);  

}
$tlp1_fb=get_option('tlp1_fb');
$tlp1_tw=get_option('tlp1_tw');
$tlp1_li=get_option('tlp1_li');
$tlp1_gp=get_option('tlp1_gp');
$tlp1_copy=get_option('tlp1_copy');
$tlp1_headline=get_option('tlp1_headline');
 
?>
<form method="POST" action="" class="tlp1_options"> 
<fieldset>
<legend>General Settings</legend>
<label for="tlp1_headline">Header Text</label>   
<input type="text" name="tlp1_headline" value="<?php echo $tlp1_headline ?>" /><br>  
<label for="tlp1_copy">Copyright Text</label>   
<input type="text" name="tlp1_copy" value="<?php echo $tlp1_copy ?>" /><br>
</fieldset>
<fieldset>
<legend>Social Networks</legend>
<label for="tlp1_fb">Facebook URL</label>   
<input type="text" name="tlp1_fb" value="<?php echo $tlp1_fb ?>" /><br>  
<label for="tlp1_tw">Twitter URL</label>   
<input type="text" name="tlp1_tw" value="<?php echo $tlp1_tw ?>" /><br>  
<label for="tlp1_li">LinkedIn URL</label>   
<input type="text" name="tlp1_li" value="<?php echo $tlp1_li ?>" /><br>  
<label for="tlp1_gp">Google Plus URL</label>   
<input type="text" name="tlp1_gp" value="<?php echo $tlp1_gp ?>" /><br>  
</fieldset>


<input style="margin-top:5px;" type="submit" value="Save settings" class="button-primary"/>  
<input style="margin-top:5px;" type="hidden" name="update_settings" value="Y" />  
</form>
</div>

<?php  
}
add_action("admin_menu", "setup_tlp1_admin_menus");  
?>